module Mks
  module Maintenance
    class MaintenanceCost < ApplicationRecord
      belongs_to :job_card
      belongs_to :cost_type

      validates :cost_detail, presence: true

      delegate(:code, to: :job_card, prefix: true)
      delegate(:name, to: :cost_type, prefix: true)
    end
  end
end