module Mks
  module Maintenance
    class MaintenanceType < ApplicationRecord
      belongs_to :maintenance_category

      validates :code, :name, presence: true
      validates :code, uniqueness: true

      delegate(:name, to: :maintenance_category, prefix: true)
    end
  end
end