module Mks
  module Maintenance
    class MaintenanceServiceOrderSerializer < ActiveModel::Serializer
      attributes :id, :title, :description, :equipment_item_id, :equipment_item_name, :maintenance_type_id,
                 :maintenance_type_name, :start_date, :end_date, :prepared_by_id, :prepared_by_name, :approved_by_id,
                 :approved_by_name, :approved, :remark, :current_reading

      def prepared_by_name
        "#{object.prepared_by&.first_name} #{object.prepared_by&.last_name}"
      end

      def approved_by_name
        "#{object.approved_by&.first_name} #{object.approved_by&.last_name}"
      end
    end
  end
end
