class CreateMksMaintenanceMaintenanceTypes < ActiveRecord::Migration[5.1]
  def change
    create_table :mks_maintenance_maintenance_types do |t|
      t.string :code, unique: true
      t.string :name, null: false
      t.string :description
      t.references :maintenance_category, index: { name: 'mt_on_mc_indx' }

      t.timestamps
    end
    add_foreign_key(:mks_maintenance_maintenance_types, :mks_maintenance_maintenance_categories,
                    column: :maintenance_category_id)
  end
end
