class CreateMksMaintenanceMaintenanceCosts < ActiveRecord::Migration[5.1]
  def change
    create_table :mks_maintenance_maintenance_costs do |t|
      t.references :job_card, index: { name: 'jc_on_mc_indx' }
      t.references :cost_type, index: { name: 'ct_on_mc_indx' }
      t.json :cost_detail, null: false
      t.string :remark

      t.timestamps
    end
  end
end
